/* crcsum.c                                                vi:se ts=8 sw=8: */

#include <stdio.h>
#include <stdlib.h>

#define POLYNOM 0xEDB88320UL

void gentab(const char *symb)
{
	register int i;

	printf("unsigned long %s[256] = {", symb);
	for (i = 0; i < 256; i++) {
		register unsigned long crc = i;
		register int j;
		for (j = 8; j > 0; j--)
			crc = crc >> 1  ^  (crc & 0x01UL ? POLYNOM : 0UL);
		printf("%s0x%08lX%s", i % 4 ? "" : "\n\t", crc, 
			i == 255 ? "" : ", ");
	}
	printf("\n};\n");
}

int main(int argc, char *argv[])
{
	if (argc != 2) {
		fprintf(stderr, "Usage: %s symbol\n", argv[0]);
		return EXIT_FAILURE;
	}
	gentab(argv[1]);
	return EXIT_SUCCESS;
}
