/* fn.h                                                    vi:se ts=8 sw=8: */
#ifndef FN_H
#define FN_H

#include <string.h>
#include <ctype.h>

static inline int getentc(const char *fn)
{
	char *s = strrchr(fn, '.');

	if (!s || strrchr(s, '/'))
		return -1;

	while (s > fn && isdigit(*--s));

	return *s != '_' ? -1 : atoi(++s);
}

static inline char *getext(const char *fn)
{
	char *s = strrchr(fn, '.');
	return s && !strrchr(s, '/') ? s : (char *)fn + strlen(fn);
}

static inline void strlower(char *s)
{
	for (;*s; s++)
		*s = tolower(*s);
}
#endif
