#!/usr/bin/tclsh

foreach file $argv {
	set fd [open $file "r"]
	regsub {\.sfv$} $file "" file
	set ofd [open ${file}.csv "w"]
	while {[set line [gets $fd]] != "" || ![eof $fd]} {
		if {[regexp {^;[ ]+([0-9]+)[ ]+(..:..\...)[ ]+(....-..-..)[ ]+([^<]+)(<br />)?$} $line match size time date fn]} {
			set data($fn) [list $size "$time $date"]
		} elseif {[regexp {^([^;].+)[ ]+([0-9a-fA-F]+)(<br />)?$} $line match fn crc]} {
			if {[info exists data($fn)]} {
				set size [lindex $data($fn) 0]
				set date [lindex $data($fn) 1]
				puts $ofd "$fn,$size,$crc,$date"
			} else {
				puts $ofd "$fn,,$crc,---"
			}
		}
	}
	if {[array exists data]} {
		unset data
	}
	close $ofd
	close $fd
}

